-module(files).
-export([f/1,list/2]).
-record(record,{op1,op2,res}).

-import(files2, [fx/1]).

f({A,B})->  
    R=#record{op1=A,op2=B,res=A+B},
    R.

list(input,[H|T])->
   fx(H),
   list(input,T); 
list(input,[]) ->
   ok;

list(F,[H|T])->
   F(H),
   list(F,T); 
list(_,[]) ->
   ok.

